Download it now!
Bug 99224 - PPTX filter: image with text is lost on export
Summary: PPTX filter: image with text is lost on export
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
5.2.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:5.2.0 target:5.1.3 target:5.0.6
Keywords:
Depends on:
Blocks:
 
Reported: 2016-04-11 12:57 UTC by Miklos Vajna
Modified: 2016-10-25 19:08 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Reproducer document (10.95 KB, application/vnd.oasis.opendocument.presentation)
2016-04-11 12:57 UTC, Miklos Vajna
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Miklos Vajna 2016-04-11 12:57:24 UTC
Created attachment 124252 [details]
Reproducer document

How to reproduce:

1) Open the bugdoc.

2) Save as PPTX.

3) Open the file -> image with text is lost.
Comment 1 Commit Notification 2016-04-12 08:33:35 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=fc70e4c4e192372f77511bc6ce2bc77b9c9539be

tdf#99224 PPTX export: implement support for images with text

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Commit Notification 2016-04-14 08:12:10 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e8e761ed003f5e509fea8eebd47111b1ed6aa672&h=libreoffice-5-0

tdf#99224 PPTX export: implement support for images with text

It will be available in 5.0.7.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2016-04-14 08:15:20 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a21fe59a2ad15fe579b535e58fcf2e310694d33a&h=libreoffice-5-1

tdf#99224 PPTX export: implement support for images with text

It will be available in 5.1.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2016-04-19 07:16:36 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-5-0-6":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1e2f33e9d66b4017a63b410da0029ef5caab7661&h=libreoffice-5-0-6

tdf#99224 PPTX export: implement support for images with text

It will be available in 5.0.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.